import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/samemurk21/c3603d6c83c1729eab8df2d5e9eda250/raw/topsongs2018.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.energy = +d.energy;
       d.danceability = +d.danceability;
       d.energy = +d.energy;
     
 
      d.key = +d.key;
      d.mode = +d.mode;
      d.speechiness = +d.speechiness;
      d.acousticness = +d.acousticness;
      d.instrumentalness = +d.instrumentalness;
      d.tempo = +d.tempo;
      d.duration_ms = +d.duration_ms/60000;
      d.mode = +d.mode;
      d.time_signature = +d.time_signature;
      return d;
    };
    csv(csvUrl, row).then(data => {
      setData(data.slice(0,60));
    });
  }, []);
  
  return data;
};